import 'dart:convert';

import '../../../requestCache.dart';
import 'getParticipants.dart';
import 'getParticipantsResponse.dart';

class GetParticipantsCache extends RequestCache<GetParticipantsResponse> {
  String chatToken;

  GetParticipantsCache({required onUpdate, required this.chatToken}) : super(RequestCache.cacheNothing, onUpdate) {
    start('MarianumMobile', 'nc-chat-participants-$chatToken');
  }

  @override
  Future<GetParticipantsResponse> onLoad() => GetParticipants(
        chatToken,
    ).run();

  @override
  GetParticipantsResponse onLocalData(String json) => GetParticipantsResponse.fromJson(jsonDecode(json));

}
